Description

When compiling on Solaris with shared libraries, the Solaris linker issues about 150 warnings of the following kind:

1d: warning: file ../../lib/libofstd.so0.3.6.3: attempted multiple inclusion of file

This warning seems to be harmless and specific to Solaris, but the large number of warnings hides possible relevant warnings that

may be present.

Since apparently the warning cannot be suppressed by linker option, it should be filtered out, e.g. by specifying a script as linker that

calls "Id" but removes this warning from the output.

History

#1 - 2018-05-14 09:57 - Marco Eichelberg

Further analysis shows that the Makefiles generated by CMake indeed contain command lines where some libraries are referenced multiple times,
due to the handling of transitive library dependencies in CMake. Therefore, this needs to be fixed in the CMake files.

#2 - 2018-05-14 09:58 - Marco Eichelberg
- Tracker changed from Feature to Bug

- Project changed from 25 to DCMTK

- Operating System set to Solaris 11

- Compiler set to SunPro (when building with shared libraries)

#3 - 2018-05-16 17:55 - Marco Eichelberg
- Status changed from New to Closed
- Assignee set to Nikolas Goldhammer

- % Done changed from 0 to 100

Fixed by updating CMake from the default version provided by Solaris 11 (CMake 2.8)

to a newer CMake version (3.4.3, available from https://www.opencsw.org/package/cmake/).
